body{
    margin: 0;
    padding: 0;
    font-size: small;
    font-family: Arial, Helvetica, sans-serif;
}

header{
    width: 100%;
    height: 60px;
    padding: 6px;
}

header nav{
    display: flex;
    justify-content: flex-end;
}

header nav .header--ul{
    width: 250px;
    height: auto;
    display: flex;
    list-style: none;
    justify-content: center;
    align-items: center;
    inline-size: fit-content;

}

header nav .header--ul a{
    margin-right: 10px;
    color: rgba(0,0,0,0.87);
    text-decoration: none;
}

header nav .header--ul a:hover{
    text-decoration: underline;
}

#G_Aps_Icon{
    height: 40px;
    width: 40px;
}

#G_Aps_Icon:hover{
    background-color: rgba(60,64,67,0.08);
    border-radius: 50%;
}

#login{
    background-color: #1a73e8;
    border: 1px solid transparent;
    color: white;
    margin: 0px 8px;
    padding: 9px 23px;
    min-width: 80px;
    border-radius: 4px;
    vertical-align: middle;
}

#login:hover{
    background-color: #2b7de9;
    text-decoration: none;
}

main{
    text-align: center;
}

.main-img{
    display: flex;
    flex-direction: column;
    align-items: center;
}

main .main-input{
    max-width: 530px;
    margin: 2rem auto;
}

main .main-input-container{
    width: auto;
    display: flex;
    max-width: 584px;
    border-radius: 1.5rem;
    border: 1px solid #dfe1e5;
    height: 44px;
    margin: 0 auto;
    justify-content: center;
    align-items: center;
}

main .main-input-container:hover{
    background-color: #fff;
    box-shadow: 0 1px 6px rgb(32 33 36 / 28%);
    border-color: rgba(223,225,229,0);
}

main .main-input input{
    background-color: transparent;
    border: none;
    margin: 0;
    padding: 0;
    color: rgba(0,0,0,.87);
    /* word-wrap: break-word; */
    outline: none;
    display: flex;
    flex: 100%;
    -webkit-tap-highlight-color: transparent;
    height: 34px;
    font-size: 16px;
    max-width: 460px;
}

.search-icon{
    display: flex;
    align-items: center;
    padding: 13px;
    margin: auto;
}

.micro-icon{
    flex: 1 0 auto;
    display: flex;
    cursor: pointer;
    align-items: center;
    border: 0;
    background: transparent;
    outline: none;
    padding: 0 8px;
    width: 30px;
    line-height: 44px;
}

main .main-buttons{
    width: 530px;
    margin: 0 auto;
    
}

main .main-buttons div{
    display: inline-block;
}

main .main-buttons button{
    background-color: #f8f9fa;
    border: 1px solid #f8f9fa;
    border-radius: 4px;
    color: #3c4043;
    font-family: arial,sans-serif;
    font-size: 14px;
    margin: 11px 4px;
    padding: 0 16px;
    line-height: 27px;
    height: 36px;
    min-width: 54px;
    text-align: center;
    cursor: pointer;
    user-select: none;
}
main .main-buttons button:hover{
    box-shadow: 0 1px 1px rgb(0 0 0 / 10%);
    background-color: #f8f9fa;
    border: 1px solid #dadce0;
    color: #202124;
}

footer{
    width: 100%;
    background: #f2f2f2;
    color: rgba(25,0,0,.54);
    position: absolute;
    bottom: 0;
}

.location{
    font-size: 14px;
    padding: 15px 30px;
    border-bottom: 1px solid #dadce0;
}

footer .info{
    display: flex;
    justify-content: space-evenly;
}

.footer-left{
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    margin-right: auto;
}

.footer-right{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    justify-content: flex-end;
    
}

footer .text-left ,.text-right{
    display: block;
    padding: 15px;
    white-space: nowrap;
    color: #70757a;
    text-decoration: none;
}